# List teams (/docs/api-reference/teams/list-teams)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 595 · updated: 2026-07-30 -->
Related: [Get team metrics](/docs/api-reference/teams/get-team-metrics.md), [Get team metrics max](/docs/api-reference/teams/get-team-metrics-max.md), [Update](/docs/api-reference/process/update.md)

# List teams

`GET /teams`

List all teams

## OpenAPI

```json
{
  "security": [
    {
      "AccessTokenAuth": []
    }
  ],
  "responses": {
    "200": {
      "description": "Successfully returned all teams",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "required": [
                "teamID",
                "name",
                "apiKey",
                "isDefault"
              ],
              "properties": {
                "teamID": {
                  "type": "string",
                  "description": "Identifier of the team"
                },
                "name": {
                  "type": "string",
                  "description": "Name of the team"
                },
                "apiKey": {
                  "type": "string",
                  "description": "API key for the team"
                },
                "isDefault": {
                  "type": "boolean",
                  "description": "Whether the team is the default team"
                }
              },
              "type": "object"
            }
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
